

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;
import java.util.NavigableMap;
import java.util.NavigableSet;
import java.util.TreeMap;
import java.util.TreeSet;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.OneToMany;
import javax.persistence.Transient;

@Entity
public class Folder extends Entry implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@OneToMany(cascade=CascadeType.PERSIST) private Map<String,Entry> children  = new HashMap<String,Entry>();;
	
	
	public Folder(String name) {
		setName(name);
	}
	

	
	public void addChild(Entry child, String name) {
		child.setParent(this);
	}
	
	public Map<String, Entry> getChildren() {
		return children;
	}
}
